import { F as Fun, Q as Queue, a as Frame } from './types-687121c7.js';

declare const safely: (fun: Fun, ...args: unknown[]) => unknown;
declare const createQueue: () => Queue;
declare const nativeNow: () => () => number;
declare const nativeRaf: () => (_fun: Fun) => number;
declare const createFrame: <T extends Fun = Fun>() => Frame<T>;
declare const frame: Frame<Fun>;

export { Frame, Fun, Queue, createFrame, createQueue, frame as default, frame, nativeNow, nativeRaf, safely };
